global instilling
d = dir('simulering');
str = {d.name};
[s,v] = listdlg('PromptString','Select a file:',...
                'SelectionMode','single',...
                'ListString',str);
savePath = strcat('simulering/',d(s).name,'/');
variabel = {'U' 'S1' 'S2' 'Power' 'Aq' 'transm' 'x'};
tids = zeros(1,size(variabel,2));

for i=1:size(variabel,2);
  tic
  temp = dlmread(strcat(savePath,variabel{i},'.txt'));
  assignin('base',variabel{i},temp);
  tids(i) = toc;
  if i == 1
    disp(['Estimated time is ' tiden(tids(i)*size(variabel,2))]);
  end
end
if (exist(strcat(savePath,'instilling.mat'),'file'))
  instilling = load(strcat(savePath,'instilling.mat'));
end
if (exist('instilling','var'))
  if(strcmp(instilling.metode,'runs'))
    U = U'; U = U(1:size(U,2)*size(U,1));
    x = x'; x = x(1:size(x,2)*size(x,1));
    transm = transm'; transm = transm(1:size(transm,2)*size(transm,1));
    Power = Power'; Power = Power(1:size(Power,2)*size(Power,1));
  end
end

figure(1)
stem(mean(U'))

figure(2)
subplot(2,2,1)
plot(U(8:10,:)')
title('Queue backlog, arrival 8-10 10% chance')
subplot(2,2,3)
plot(U(1:7,:)')
title('Queue backlog, arrival 1-7 10% chance')
subplot(2,2,2)
plot(x(8:10,:)')
title('Interference queue backlog, arrival 8-10 10% chance')
subplot(2,2,4)
plot(x(1:7,:)')
title('Interference queue backlog, arrival 1-7 10% chance')

figure(3)
subplot(2,1,1)
plot(Power')
title('The transmitted power')
subplot(2,1,2)
plot(transm')
title('The transmitted data ammount')
